Skip to Content

List notes in a mailbox thread

Returns the internal notes on a thread with their bodies, oldest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/mailboxes/{id}/threads/{threadId}/notes

Returns the internal notes on a thread with their bodies, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
threadId*string
Match^thread_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

MailboxNotePage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.listThreadNotes({
  "id": "example",
  "threadId": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "author": {
        "kind": "user",
        "id": "string",
        "displayName": "string"
      },
      "body": "string",
      "color": "string",
      "pinned": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation